# 异常页面

>说明: 需要将下面的文件克隆到项目相应的目录, 异常页面需要配置路由

## 目录结构(需要的文件)

>需要引入到项目的文件,如下所示: (单独的 403,404,500页面为防止各个页面以后改动准备,暂时没有用到)

```
project
└── src
    ├── assets
    |   ├── 403_images
    │   |   └── error_403.svg
    │   ├── 404_images
    │   |   └── error_404.svg
    │   ├── 500_images
    │       └── error_500.svg
    └── views
        ├── errorPage
        |    └── index.vue (注:项目不一样需要修改返回首页的地址)
```

## 路由配置(仅供参考)

```
  const errorPage = (r) => {
    import('view/errorPage/index.vue').then((module) => {
      r(module)
    })
  };

  {
    path: '/403',
    name: '无权访问',
    component: errorPage
  },
  {
    path: '/404',
    name: 'error404',
    component: errorPage
  },
  {
    path: '/500',
    name: 'error500',
    component: errorPage
  },
```
## 修改 返回首页 地址

>注意修改 `href` 的地址,不同的项目返回的地址需要各自修改

```
<a href="report/#/memberSummary" class="bullshit__return-home">返回首页</a>
```